Page 1 of 1

PHP+Mysql มีปัญหาครับ

Posted: 19/03/2005 10:34 pm
by 4404
Warning: mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client in

Posted: 21/03/2005 4:56 pm
by 4404
ดู config ต่าง ๆยัง ครับ และอย่าลืมเปิด mysql ด้วย และ ตามที่คุณ ข้างบนบอกก็ มีส่วน เป็นไปได้

Posted: 25/07/2005 11:46 pm
by 4404
อันนี้น่ะ เกี่ยวกับเวอร์ชั่นของ mysql ล่ะ เพราะ ตั้งแต่ 4.1 เป็นต้นมาน่ะ มันเปลี่ยนวิธีการเข้ารหัสของ password ของ mysql user มันก็เลยขึ้น error แบบนี้ คิดว่า error ที่เห็นเนี่ย น่าจะมาจากโปรแกรมจำพวก mysql-front เวอร์ชั่นเก่าๆ เช่น 2.5 ดังนั้น ทางแก้มีหลายประการ แฮ่ะ แต่คงรู้แล้วล่ะ เพราะกว่าจะหลงเข้ามาตอบก็ปาเข้าไปเดือน เจ้ดแย้ว ถ้ายังไม่ทราบ เมล์มาคุยกันก็ได้คับ anakapon@yahoo.com อ่ะ

Posted: 03/04/2006 9:31 am
by 4404
lib ของ php ในส่วนที่ติดต่อกับ mysql ใช้ version เก่า ลองดูใน phpinfo ดิ